# MoveScanResult

{% hint style="info" %}
Since MOVE SDK v2.4
{% endhint %}

{% tabs %}
{% tab title="Android" %}

```kotlin
data class MoveScanResult(
    val device: MoveDevice,
    val isDiscovered: Boolean,
)
```

{% endtab %}

{% tab title="iOS" %}

```swift
public struct MoveScanResult {
    let device: MoveDevice
    let isDiscovered: Bool
}
```

{% endtab %}

{% tab title="React Native" %}

```tsx
export type MoveScanResult = {
    isDiscovered: boolean;
    device: MoveSdkDevice;
    name: string;
};
```

{% endtab %}

{% tab title="Flutter" %}

```dart
import 'package:movesdk/io/dolphin/move/move_device.dart';
```

```dart
class MoveScanResult {
  bool isDiscovered;
  MoveDevice device;
}
```

{% endtab %}
{% endtabs %}

<table data-header-hidden><thead><tr><th width="265.3333333333333"></th><th width="138"></th><th></th></tr></thead><tbody><tr><td><strong>MoveScanResult</strong></td><td><strong>Type</strong></td><td></td></tr><tr><td>device</td><td><a href="/pages/dzjjyMr06J88m2uWGYMk">MoveDevice</a></td><td></td></tr><tr><td>isDiscovered</td><td>Boolean</td><td>This MoveDevice was found / not found during the last <a href="/pages/-MdN8wT69x-PMLj5At9h#bdd-device-discovery">BDD - DeviceDiscovery</a> scan.</td></tr></tbody></table>

| **MoveScanResult related**                                                                                                   |   |
| ---------------------------------------------------------------------------------------------------------------------------- | - |
| [MoveDevice](/move-platform/sdk/models/movedevice.md)                                                                        |   |
| deviceDiscoveryListener ([Android](/move-platform/sdk/api-interface/android/services.md#set-service-warning-listener) / iOS) |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/models/movescanresult.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
